Update Model
curl --request PATCH \
--url https://api.fish.audio/model/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"cover_image": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.fish.audio/model/{id}"
payload = {
"title": "<string>",
"description": "<string>",
"cover_image": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
cover_image: '<string>',
tags: ['<string>']
})
};
fetch('https://api.fish.audio/model/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"message": "<string>"
}[
{
"loc": [
"<string>"
],
"type": "<string>",
"msg": "<string>",
"ctx": "<string>"
}
]Voice Models
Update Model
Update an existing model
PATCH
/
model
/
{id}
Update Model
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-dataapplication/msgpack
Response
Request fulfilled, document follows
Was this page helpful?
⌘I

